/* -*- c++ -*- */
#ifndef AKAXISO_MODEL_CHECK_H__
#define AKAXISO_MODEL_CHECK_H__

#include <akaxiso/classes/membertype.h>
#include <akaxiso/classes/item.h>
#include <akaxiso/classes/traits.h>

namespace aka2 {
  void correct_item_occurrence(itemtypes &cop);
  void correct_member_occurrence(member_types &cop);
  bool check_occurrence(schematype_id id, const aka::occurrence &occ);
  bool check_has_default(schematype_id id);
  bool is_ptrmember_occurrence(const aka::occurrence &occ);
  bool is_all_occurrence(const aka::occurrence &occ);
}

#endif
